%%  Transfer Function Validation
pm_tf = tf(SISO_TF); pm_tf = pm_tf(1);
sim_out = lsim(pm_tf,input_vec,time_vec,output_vec(1));
sim_out = sim_out;
fit = 100*(1 - norm(sim_out - output_vec)/norm(output_vec-mean(output_vec))); % ['ID - Fit = ' num2str(fit) '%']
oldPlotOption = SISOoptions.plot;
SISOoptions.plot = 0;
[NomChecksSIM,FAChecksSIM] = ACX_Check_SISO_IO(output_vec,sim_out,Ts,SISOoptions);
SISOoptions.plot = oldPlotOption;

subplot(2,2,[1 2])
plot(time_vec,output_vec);
hold on
plot(time_vec,sim_out,'r')
xlabel('Time (s)'); ylabel('Signal');
hlegs = legend('Exp',['ID - Fit = ' num2str(fit) '%']);
grid on
subplot(2,2,3)
plot(NomChecksSIM.Coherence.freqs,NomChecksSIM.Coherence.coherence,'b');
hold on
plot(FAChecksSIM.Coherence.freqs,FAChecksSIM.Coherence.coherence,'g');
grid on
xlabel('Frequency (Hz)'); ylabel('Coherence Magnitude');
hlegc = legend(['Nominal ' num2str(NomChecksSIM.Coherence.meanValue)],['Spec Freqs ' num2str(FAChecksSIM.Coherence.meanValue)]);
subplot(2,2,4)
plot(NomChecksSIM.RandomError.freqs,NomChecksSIM.RandomError.values,'b');
hold on
plot(FAChecksSIM.RandomError.freqs,FAChecksSIM.RandomError.values,'g');
grid on
xlabel('Frequency (Hz)'); ylabel('Random Error');
hlegre = legend(['Nominal ' num2str(NomChecksSIM.RandomError.meanValue)],['Spec Freqs ' num2str(FAChecksSIM.RandomError.meanValue)]);

%%  2 Inputs 1 Output Quasi-Steady Model
outputs_names = ['  p  '];
inputs_names = ['phi_1c'; 'phi_1s'; 'h_sp  '; 'Omega ';];
time_vec = InputsArray(:,1);

clear out; clear inps;
%   Specify Output
output_i = 1;

%   Specify the two inputs
input_i_1 = 1;
input_i_2 =2;

%   Build 2 Inputs-1 Output MISO system
out = detrend(OutputsArray(:,output_i+1));
inps(:,1) = detrend(InputsArray(:,input_i_1+1));
inps(:,2) = detrend(InputsArray(:,input_i_2+1));

%   your model is supposed to be called: TWO_I_ONE_O_SS
ssmdlex_flag = exist('TWO_I_ONE_O_SS','var');
if(ssmdlex_flag~=1);
    cprintf('SystemCommands','Your model is supposed to be called and be loaded as "TWO_I_ONE_O_SS"\n');
else
    out_e = lsim(TWO_I_ONE_O_SS,inps,time_vec,[out(1) 0]);
    fit = 100*(1 - norm(out_e - out)/norm(out-mean(out)));
    oldPlotOption = MISOoptions.plot;
    MISOoptions.plot = 0;
    [NomChecksSIM,FAChecksSIM] = ACX_Check_SISO_IO(out,out_e,Ts,MISOoptions);
    MISOoptions.plot = oldPlotOption;
    
    subplot(2,2,[1 2])
    plot(time_vec,out);
    hold on
    plot(time_vec,out_e,'r')
    xlabel('Time (s)'); ylabel(outputs_names(output_i,:));
    hlegs = legend('Exp',['ID - Fit = ' num2str(fit) '%']);
    grid on
    subplot(2,2,3)
    plot(NomChecksSIM.Coherence.freqs,NomChecksSIM.Coherence.coherence,'b');
    hold on
    plot(FAChecksSIM.Coherence.freqs,FAChecksSIM.Coherence.coherence,'g');
    grid on
    xlabel('Frequency (Hz)'); ylabel('Coherence Magnitude');
    hlegc = legend(['Nominal ' num2str(NomChecksSIM.Coherence.meanValue)],['Spec Freqs ' num2str(FAChecksSIM.Coherence.meanValue)]);
    subplot(2,2,4)
    plot(NomChecksSIM.RandomError.freqs,NomChecksSIM.RandomError.values,'b');
    hold on
    plot(FAChecksSIM.RandomError.freqs,FAChecksSIM.RandomError.values,'g');
    grid on
    xlabel('Frequency (Hz)'); ylabel('Random Error');
    hlegre = legend(['Nominal ' num2str(NomChecksSIM.RandomError.meanValue)],['Spec Freqs ' num2str(FAChecksSIM.RandomError.meanValue)]);
end
