function siso_ss_tf = ACX_SIM_SISO_2ndOrder_SS_TF_ID(data,par_init,init_state,options)
%
%   Syntax:
%   siso_ss_tf = ACX_SIM_SISO_SS_TF_ID(data,par_init,init_state,options)
%
%   Inputs:
%   data            : iddata object
%   par_init        : par_init(1), par_init(2), par(3) init parameters of
%   the ode \ddot{x} = par_init(1)*\dot{x}+par_init(2)*x + par_init(3)*u
%   init_state      : initial state 
%   options         : structure that contains the following
%   options.Ts         = sampling time
%           options.Disturbance == 1 means that disturbance model estimated
%           
%   Outputs:
%   siso_ss_tf      : 1st Order SISO TF based on State Space Model
%   
%   Estimates 2nd Order Single Input/Single Output State Space Model
%
%   Authors:    Kostas Alexis (konstantinos.alexis@mavt.ethz.ch)
%

siso_mdl = ACX_SIM_2ndOrder_SISO_SS_ID(data,par_init,init_state,options);

siso_ss_tf_full = tf(siso_mdl);

siso_ss_tf = siso_ss_tf_full(1);

end