function [] = ACX_SIM_Plot_Attitude(ATTI_SIM,Ts)

phi_ref = ATTI_SIM.signals(1).values(:,1);
phi_resp = ATTI_SIM.signals(1).values(:,2);
fit_val_phi = signal_fit(phi_ref,phi_resp);

p_ref = ATTI_SIM.signals(2).values(:,1);
p_resp = ATTI_SIM.signals(2).values(:,2);

theta_ref = ATTI_SIM.signals(3).values(:,1);
theta_resp = ATTI_SIM.signals(3).values(:,2);
fit_val_theta = signal_fit(theta_ref,theta_resp);

q_ref = ATTI_SIM.signals(4).values(:,1);
q_resp = ATTI_SIM.signals(4).values(:,2);
fit_val_q = signal_fit(q_ref,q_resp);

time_vec = Ts*(1:length(phi_ref)) - Ts;

T_wo = 2*14.0;
GainK = 1;
Washout_Filter = GainK*tf([T_wo 0],[T_wo 1]);
if((max(p_ref((end-floor(length(end)/2)):end))==0)&&(max(q_ref((end-floor(length(end)/2)):end))==0))
    %g_tf = tf(10,[1 10]);
    g_tf = Washout_Filter;
    p_ref = diff(phi_ref)/Ts;
    p_ref(end+1) = p_ref(end);
    p_ref = lsim(g_tf,p_ref,time_vec);
    p_ref = lsim(g_tf,phi_ref,time_vec);
    q_ref = diff(theta_ref)/Ts;
    q_ref(end+1) = q_ref(end);
    q_ref = lsim(g_tf,q_ref,time_vec);
    q_ref = lsim(g_tf,theta_ref,time_vec);
end
fit_val_p = signal_fit(p_ref,p_resp);

fit_val_q = signal_fit(q_ref,q_resp);

%figure
subplot(4,1,1)
plot(time_vec,phi_ref,'b','LineWidth',2); hold on;
plot(time_vec,phi_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('roll (rad)');
legend('phi_{r}',['phi - Fit = ' num2str(fit_val_phi)]);
subplot(4,1,2)
plot(time_vec,p_ref,'b','LineWidth',2); hold on;
plot(time_vec,p_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('p (rad/s)');
legend('p_{r}',['p - Fit = ' num2str(fit_val_p)]);
subplot(4,1,3)
plot(time_vec,theta_ref,'b','LineWidth',2); hold on;
plot(time_vec,theta_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('pitch (rad)');
legend('theta_{r}',['theta - Fit = ' num2str(fit_val_theta)]);
subplot(4,1,4)
plot(time_vec,q_ref,'b','LineWidth',2); hold on;
plot(time_vec,q_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('q (rad/s)');
legend('q_{r}',['q - Fit = ' num2str(fit_val_q)]);
end