function [] = ACX_SIM_Plot_Heave(HEAVEZW,Ts)

z_ref = HEAVEZW.signals(1).values(:,1);
z_resp = HEAVEZW.signals(1).values(:,2);
fit_val_z = signal_fit(z_ref,z_resp);

w_ref = HEAVEZW.signals(2).values(:,1);
w_resp = HEAVEZW.signals(2).values(:,2);
fit_val_w = signal_fit(w_ref,w_resp);

time_vec = Ts*(1:length(z_ref)) - Ts;

%figure
subplot(2,1,1)
plot(time_vec,z_ref,'b','LineWidth',2); hold on;
plot(time_vec,z_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('z (m)');
legend('z_{r}',['z - Fit = ' num2str(fit_val_z)]);
subplot(2,1,2)
plot(time_vec,w_ref,'b','LineWidth',2); hold on;
plot(time_vec,w_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('w (m/s)');
legend('w_{r}',['w - Fit = ' num2str(fit_val_w)]);
end