function [x_wpts_ref,y_wpts_ref] = InterpXY_WPTS(X_WPTS,Y_WPTS,x_resp)
%
%   [x_wpts_ref,y_wpts_ref] = InterpXY_WPTS(X_WPTS,Y_WPTS,x_resp)
%
%   Linearly interpolates the waypoints to achieve the same length as the
%   response
%
%   Should have a little bit more intelligence - it assumes that the
%   simulation stopped exactly when the vehicle reached the last waypoint.
%   It still works otherwise but can not be used trustfully for mean
%   distance computations.

    
x_wp = X_WPTS;
y_wp = Y_WPTS;
len_t = length(x_resp);
len_i = length(x_wp);
ratio_lens = len_t/len_i;
ratio_lens_floor = floor(ratio_lens);



for i = 2:(len_i-1)
    x_wps{i-1} = linspace(x_wp(i-1),x_wp(i),ratio_lens_floor);
    y_wps{i-1} = linspace(y_wp(i-1),y_wp(i),ratio_lens_floor);
end

clear x_wps_all; clear y_wps_all;
x_wps_all(1:ratio_lens_floor) = x_wps{1};
y_wps_all(1:ratio_lens_floor) = y_wps{1};
for i = 2:(len_i - 2)
    x_wps_all((end+1):(end+ratio_lens_floor)) = x_wps{i};
    y_wps_all((end+1):(end+ratio_lens_floor)) = y_wps{i};
end


x_wps_f = linspace(x_wp(len_i-1),x_wp(len_i),(length(x_resp) - (len_i-2)*ratio_lens_floor));
y_wps_f = linspace(y_wp(len_i-1),y_wp(len_i),(length(x_resp) - (len_i-2)*ratio_lens_floor));


x_wps_all((end+1):(end+length(x_wps_f))) = x_wps_f;
y_wps_all((end+1):(end+length(y_wps_f))) = y_wps_f;
%plot(y_wps_all,x_wps_all)
x_wpts_ref = x_wps_all;
y_wpts_ref = y_wps_all;

end